Subject: Re: PATCH: improve git switch documentation

From: Felipe Contreras <[email-masked]>
Date: Sat, 10 Jul 2021 15:00:27 -0500

Martin wrote:
> There is even discussion to add "-c" for  "copy branch + switch" to git 
> switch.
> Which I have no personal objection. Only find it regrettable that it 
> means an incompatible change to -c. (Never mind that git switch is still 
> "experimental". It has been so for a long time, for many people out 
> there long enough to forget the "experimental")

This is relative.

`git switch` has existed for 1.9 years. I've been using git for about 15
years, so that's 13% of the time (although I've been using it even less
time than that). I understand that for more recent users this might seem
like a long time, but it isn't.

Git UI development is dead slow.

-- 
Felipe Contreras